<form class="auth-form" [formGroup]="form" (submit)="triggerSubmit(form.valid)">
    <mat-form-field appearance="fill">
        <mat-label>Username</mat-label>
        <input matInput placeholder="Username" formControlName="username">
    </mat-form-field>
    <mat-form-field appearance="fill">
        <mat-label>Password</mat-label>
        <input matInput placeholder="Password" formControlName="password" type="password">
    </mat-form-field>

    <mat-error *ngIf="hasAuthError">Username and password combination is incorrect, please try again</mat-error>
    <br/>
    <button type="submit" mat-raised-button [disabled]="form.invalid">Submit</button>
</form>